summaryrefslogtreecommitdiffstats
path: root/graphics/GraphicsMagick
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/GraphicsMagick')
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.SlackBuild46
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.info8
-rw-r--r--graphics/GraphicsMagick/README6
3 files changed, 38 insertions, 22 deletions
diff --git a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
index 48d9dd13f1..cac6bcf307 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
+++ b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
@@ -1,15 +1,21 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for GraphicsMagick
# Originally written by Giovanne Castro <email removed>.
-# Updated by B. Watson <yalhcru@gmail.com>, as the original author is
+# Updated by B. Watson <urchlay@slackware.uk>, as the original author is
# MIA. Original version had no license; I'm licensing the update under the
# terms of the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
-# 20181201 bkw:
-# - update for v1.3.31 (BUILD=1 again).
+# 20231108 bkw: update for v1.3.42.
+# 20230710 bkw: update for v1.3.40.
+# 20230105 bkw: update for v1.3.39, using sourceforge link again.
+# 20210910 bkw: update for v1.3.36.
+# 20201019 bkw: update for v1.3.35.
+# 20200111 bkw: update for v1.3.34, quit using sourceforge dl link.
+# 20191130 bkw: update for v1.3.33.
+# 20181201 bkw: update for v1.3.31 (BUILD=1 again).
# 20181126 bkw:
# - fix the perl module. at one point it really did work, but lately
@@ -39,10 +45,13 @@
# - build Tcl bindings (TclMagick)
# - document optional deps in README
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=GraphicsMagick
-VERSION=${VERSION:-1.3.31}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.3.42}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -52,7 +61,11 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -94,7 +107,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
@@ -218,20 +231,21 @@ if [ "${TCL:-yes}" = "yes" ]; then
WITHTCL=WITH
cd -
- rename .la_renamed .la $PKG/usr/lib$LIBDIRSUFFIX/*.la_renamed
fi
### Done with tcl module
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+gzip -9 $PKG/usr/man/man*/*
+
+rm -f $PKG/usr/lib*/*.la* $PKG/usr/lib*/Tcl*/*.la
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+find $PKG/usr/lib* $PKG/usr/bin -type f -print0 | \
+ xargs -0 file -m /etc/file/magic/elf | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
find $PKG -name perllocal.pod \
-o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+ -o -name "*.bs" | \
+ xargs rm -rf || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ChangeLog *.txt $PKG/usr/doc/$PRGNAM-$VERSION
@@ -245,4 +259,4 @@ sed \
$CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/GraphicsMagick/GraphicsMagick.info b/graphics/GraphicsMagick/GraphicsMagick.info
index df8854a27d..2e80988001 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.info
+++ b/graphics/GraphicsMagick/GraphicsMagick.info
@@ -1,10 +1,10 @@
PRGNAM="GraphicsMagick"
-VERSION="1.3.31"
+VERSION="1.3.42"
HOMEPAGE="http://www.graphicsmagick.org/"
-DOWNLOAD="http://downloads.sourceforge.net/graphicsmagick/GraphicsMagick-1.3.31.tar.bz2"
-MD5SUM="0153df04efb27628e348071a53f2bf94"
+DOWNLOAD="https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.42/GraphicsMagick-1.3.42.tar.xz"
+MD5SUM="68c8d23aaa2dbed1e1adfab7b5e28096"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
MAINTAINER="B. Watson"
-EMAIL="yalhcru@gmail.com"
+EMAIL="urchlay@slackware.uk"
diff --git a/graphics/GraphicsMagick/README b/graphics/GraphicsMagick/README
index 6591c88ff2..62b6b38931 100644
--- a/graphics/GraphicsMagick/README
+++ b/graphics/GraphicsMagick/README
@@ -8,7 +8,7 @@ JPEG-2000, PNG, PDF, PNM, and TIFF.
If you have an older version of GraphicsMagick installed, it's a good
idea to 'removepkg GraphicsMagick' before building the new version. If
-you don't do this, the build might work anyway... Upgrading from 1.3.29
+you don't do this, the build might work anyway... Upgrading from 1.3.29
to 1.3.30 has been tested and seems to work, but I make no guarantees.
This build includes PerlMagick (the Perl language bindings for
@@ -24,9 +24,11 @@ actually fixes anything!
Optional dependencies: Some file formats require extra libraries. These
are all autodetected at build time:
-libwebp (.webp support)
jbigkit (.jbg, .jbig support)
dcraw (Raw camera files, various filename extensions)
hp2xx (HP-GL plotter language, .hp and .hpg)
ralcgm (Computer Graphics Metafile, .cgm)
libfpx (FlashPix, .fpx)
+graphviz (.dot digraph files)
+libjxl (.jxl, JPEG XL)
+libheif and libde265 (.heif .heifs .heic .heics .avci .avcs .avif .hif)